/*************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2007 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains
* the property of Adobe Systems Incorporated and its suppliers,
* if any.  The intellectual and technical concepts contained
* herein are proprietary to Adobe Systems Incorporated and its
* suppliers and may be covered by U.S. and Foreign Patents,
* patents in process, and are protected by trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from Adobe Systems Incorporated.
**************************************************************************/

//NOTE: This file  is used to rename all the Obj-C classes in WebCore, to avoid inadvertent calls 
//      from outside that call into our WebCore library instead of the one shipped with Apple OS WebKit.
//      Include config.h before using any of the Obj-C classes in WebCore.
//      This file gets included automatically, if config.h is included.

#ifndef ObjCRenamePrefixAGWebkit_h
#define ObjCRenamePrefixAGWebkit_h


#define WebScriptObject AGWebkit_WebScriptObject
#define WebScriptObjectPrivate AGWebkit_WebScriptObjectPrivate
#define WebUndefined AGWebkit_WebUndefined
#define WebCoreScriptDebugger AGWebkit_WebCoreScriptDebugger
#define WebCoreScriptCallFrame AGWebkit_WebCoreScriptCallFrame
#define WebCoreViewFactory AGWebkit_WebCoreViewFactory
#define WebDashboardRegion AGWebkit_WebDashboardRegion
#define WebCoreControlTintObserver AGWebkit_WebCoreControlTintObserver
#define WebCoreMenuTarget AGWebkit_WebCoreMenuTarget
#define WebCoreCursorBundle AGWebkit_WebCoreCursorBundle
#define OpenPanelController AGWebkit_OpenPanelController
#define WebCoreScrollBar AGWebkit_WebCoreScrollBar
#define SharedBufferData AGWebkit_SharedBufferData
#define WebCoreHistory AGWebkit_WebCoreHistory
#define WebCoreKeyGenerator AGWebkit_WebCoreKeyGenerator
#define WebFontCache AGWebkit_WebFontCache
#define WebCoreRenderThemeNotificationObserver AGWebkit_WebCoreRenderThemeNotificationObserver
#define DOMCDATASection AGWebkit_DOMCDATASection
#define DOMCharacterData AGWebkit_DOMCharacterData
#define DOMObject AGWebkit_DOMObject
#define DOMRGBColor AGWebkit_DOMRGBColor
#define DOMNodeFilter AGWebkit_DOMNodeFilter
#define DOMComment AGWebkit_DOMComment
#define DOMDocumentType AGWebkit_DOMDocumentType
#define DOMEntity AGWebkit_DOMEntity
#define DOMEntityReference AGWebkit_DOMEntityReference
#define DOMNotation AGWebkit_DOMNotation
#define DOMProcessingInstruction AGWebkit_DOMProcessingInstruction
#define DOMText AGWebkit_DOMText
#define DOMDocumentFragment AGWebkit_DOMDocumentFragment
#define DOMAttr AGWebkit_DOMAttr
#define DOMDocument AGWebkit_DOMDocument
#define DOMImplementation AGWebkit_DOMImplementation
#define DOMElement AGWebkit_DOMElement
#define DOMNamedNodeMap AGWebkit_DOMNamedNodeMap
#define DOMNode AGWebkit_DOMNode
#define DOMNodeList AGWebkit_DOMNodeList
#define DOMRect AGWebkit_DOMRect
#define DOMCSSValue AGWebkit_DOMCSSValue
#define DOMCSSStyleDeclaration AGWebkit_DOMCSSStyleDeclaration
#define DOMCSSRuleList AGWebkit_DOMCSSRuleList
#define DOMCSSRule AGWebkit_DOMCSSRule
#define DOMCounter AGWebkit_DOMCounter
#define DOMCSSStyleSheet AGWebkit_DOMCSSStyleSheet
#define DOMCSSPrimitiveValue AGWebkit_DOMCSSPrimitiveValue
#define DOMCSSValueList AGWebkit_DOMCSSValueList
#define DOMCSSUnknownRule AGWebkit_DOMCSSUnknownRule
#define DOMCSSStyleRule AGWebkit_DOMCSSStyleRule
#define DOMCSSPageRule AGWebkit_DOMCSSPageRule
#define DOMCSSMediaRule AGWebkit_DOMCSSMediaRule
#define DOMCSSImportRule AGWebkit_DOMCSSImportRule
#define DOMCSSCharsetRule AGWebkit_DOMCSSCharsetRule
#define DOMEvent AGWebkit_DOMEvent
#define DOMHTMLOptionsCollection AGWebkit_DOMHTMLOptionsCollection
#define DOMHTMLCollection AGWebkit_DOMHTMLCollection
#define DOMHTMLStyleElement AGWebkit_DOMHTMLStyleElement
#define DOMHTMLLinkElement AGWebkit_DOMHTMLLinkElement
#define DOMHTMLDocument AGWebkit_DOMHTMLDocument
#define DOMHTMLElement AGWebkit_DOMHTMLElement
#define DOMStyleSheetList AGWebkit_DOMStyleSheetList
#define DOMStyleSheet AGWebkit_DOMStyleSheet
#define DOMMediaList AGWebkit_DOMMediaList
#define DOMAbstractView AGWebkit_DOMAbstractView
#define DOMRange AGWebkit_DOMRange


#endif //ObjCRenamePrefixAGWebkit_h

