#include "config.h"
#include "AffineTransform.h"

#if PLATFORM(AG)

#include "FloatConversion.h"
#include "FloatRect.h"
#include "IntRect.h"

namespace WebCore {

	static const double deg2rad = 0.017453292519943295769; // pi/180

	AffineTransform::AffineTransform()
	{
		agNotImplemented();
	}

	AffineTransform::AffineTransform(double a, double b, double c, double d, double tx, double ty)
	{
		agNotImplemented();
	}

	/*AffineTransform::AffineTransform(const AGMatrix_t t)
	{
		m_transform = t;
	}*/

	void AffineTransform::setMatrix(double a, double b, double c, double d, double tx, double ty)
	{
		agNotImplemented();
	}

	void AffineTransform::map(double x, double y, double* x2, double* y2) const
	{
		agNotImplemented();
	}


	IntRect AffineTransform::mapRect(const IntRect &rect) const
	{
		FloatRect floatRect(rect);
		FloatRect enclosingFloatRect = this->mapRect(floatRect);

		return enclosingIntRect(enclosingFloatRect);
	}

	FloatRect AffineTransform::mapRect(const FloatRect &rect) const
	{
		agNotImplemented();
		return FloatRect(0, 0, 0, 0);
	}

	bool AffineTransform::isIdentity() const
	{
		agNotImplemented();
		return false;
	}

	double AffineTransform::a() const
	{
		agNotImplemented();
		return 0;
	}

	void AffineTransform::setA(double a)
	{
		agNotImplemented();
	}

	double AffineTransform::b() const
	{
		agNotImplemented();
		return 0;
	}

	void AffineTransform::setB(double b)
	{
		agNotImplemented();
	}

	double AffineTransform::c() const
	{
		agNotImplemented();
		return 0;
	}

	void AffineTransform::setC(double c)
	{
		agNotImplemented();
	}

	double AffineTransform::d() const
	{
		agNotImplemented();
		return 0;
	}

	void AffineTransform::setD(double d)
	{
		agNotImplemented();
	}

	double AffineTransform::e() const
	{
		agNotImplemented();
		return 0;
	}

	void AffineTransform::setE(double e)
	{
		agNotImplemented();
	}

	double AffineTransform::f() const
	{
		agNotImplemented();
		return 0;
	}

	void AffineTransform::setF(double f)
	{
		agNotImplemented();
	}


	void AffineTransform::reset()
	{
		agNotImplemented();
	}

	AffineTransform &AffineTransform::scale(double sx, double sy)
	{
		agNotImplemented();
		return *this;
	}

	AffineTransform &AffineTransform::rotate(double d)
	{
		agNotImplemented();
		return *this;
	}

	AffineTransform &AffineTransform::translate(double tx, double ty)
	{
		agNotImplemented();
		return *this;
	}

	AffineTransform &AffineTransform::shear(double sx, double sy)
	{
		agNotImplemented();
		return *this;
	}

	double AffineTransform::det() const
	{
		agNotImplemented();
		return 0;
	}

	AffineTransform AffineTransform::inverse() const
	{
		agNotImplemented();
		if (!isInvertible()) return AffineTransform();
		return *this;
	}

	bool AffineTransform::operator== (const AffineTransform &m2) const
	{
		agNotImplemented();
		return false;

	}

	AffineTransform &AffineTransform::operator*= (const AffineTransform &m2)
	{
		agNotImplemented();
		return *this;
	}

	AffineTransform AffineTransform::operator* (const AffineTransform &m2)
	{
		agNotImplemented();
		return *this;
	}

}

#endif // PLATFORM(AG)